io.agora.rtc

## Class AgoraScreenCapturer

- java.lang.Object
- - io.agora.rtc.AgoraScreenCapturer

-     public class AgoraScreenCapturer
      extends java.lang.Object

  Wrapper for screen capturer functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr` Native pointer to the screen capturer instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraScreenCapturer(long cptr)` Constructs a screen capturer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the screen capturer and releases native resources.
    `int` | `initWithWindowId(long window_id, Rectangle region_rect)` Initializes the screen capturer with a window ID.
    `private void` | `ndestroy()` Destroys the native screen capturer.
    `int` | `setContentHint(int content_hint)` Sets the content hint for screen capture.
    `int` | `updateScreenCaptureRegion(Rectangle region_rect)` Updates the screen capture region.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

      Native pointer to the screen capturer instance.

  - ### Constructor Detail

    - #### AgoraScreenCapturer

          public AgoraScreenCapturer(long cptr)

      Constructs a screen capturer.
      Parameters:
        `cptr` - Native pointer to the screen capturer instance

  - ### Method Detail

    - #### ndestroy

          private void ndestroy()

      Destroys the native screen capturer.

    - #### destroy

          public void destroy()

      Destroys the screen capturer and releases native resources.

    - #### initWithWindowId

          public int initWithWindowId(long window_id,
                                      Rectangle region_rect)

      Initializes the screen capturer with a window ID.
      Parameters:
        `window_id` - Window ID to capture
        `region_rect` - Capture region rectangle
      Returns:
        0 on success, <0 on failure

    - #### setContentHint

          public int setContentHint(int content_hint)

      Sets the content hint for screen capture.
      Parameters:
        `content_hint` - Content hint value
      Returns:
        0 on success, <0 on failure

    - #### updateScreenCaptureRegion

          public int updateScreenCaptureRegion(Rectangle region_rect)

      Updates the screen capture region.
      Parameters:
        `region_rect` - New capture region rectangle
      Returns:
        0 on success, <0 on failure